diff --git a/Assets/CoolapeFrameData/verControl/IOS/ver4Upgrade.v b/Assets/CoolapeFrameData/verControl/IOS/ver4Upgrade.v
index 50cb7d0..598ee5f 100644
--- a/Assets/CoolapeFrameData/verControl/IOS/ver4Upgrade.v
+++ b/Assets/CoolapeFrameData/verControl/IOS/ver4Upgrade.v
@@ -355,19 +353,20 @@ trCRM/upgradeRes/priority/lua/db/DBAttachment.lua,b4567ff14ac46a7786957d39715fe5
 trCRM/upgradeRes/priority/lua/ui/panel/TRPBatchGetCusts.lua,824f77c2486687108fa391a8fb08a405
 trCRM/upgradeRes/priority/lua/ui/panel/TRPConnect.lua,7b8af1171623fd14f26c2bf974b42ab8
 trCRM/upgradeRes/priority/lua/ui/cell/CLLUICalenderDay.lua,6e7400e2dd535ced93960c1e18fa2458
-trCRM/upgradeRes/other/uiAtlas/public/IOS/company_bg.unity3d,6d7720ce23e31c17a508386fe837ab12
-trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustList.lua,4621e1261426a172e72820f105c43122
+trCRM/upgradeRes/priority/ui/panel/IOS/PanelTaskList.unity3d,ae74577603f5f00454299a8041cf2ddf
+trCRM/upgradeRes/priority/lua/ui/cell/TRCellCustList.lua,3c927618bc036253a99d5932fe22ed08
 trCRM/upgradeRes/priority/lua/ui/panel/TRPPopCheckBoxs.lua,508171a924c113573b01a396e8217cc2
 trCRM/upgradeRes/other/uiAtlas/cust/IOS/msg.unity3d,62a51311105a27bfca2fc2ac35c9aab8
-trCRM/upgradeRes/other/uiAtlas/work/IOS/work_bg.unity3d,b014274b898e403aa52277f9a5978776
+trCRM/upgradeRes/priority/ui/panel/IOS/PanelTaskList4Cust.unity3d,55a55d396499d77c93a8c5a06477426c
 trCRM/upgradeRes/other/uiAtlas/order/IOS/sort.unity3d,93ec07e5dd76e80c3b0708d28c4415e0
 trCRM/upgradeRes/other/uiAtlas/order/IOS/xuanze.unity3d,dd97c2c26ce6ee06837604e4766645e6
 trCRM/upgradeRes/other/uiAtlas/news/IOS/new2_time.unity3d,79a2d5d9c6d24cc63998911a623d9244
-trCRM/upgradeRes/priority/lua/public/CLLInclude.lua,2afb78b285a8cf6bbbef9f4612effc3d
+trCRM/upgradeRes/priority/lua/public/CLLInclude.lua,d84df4859500a5745e7bdb118e5e2443
 trCRM/upgradeRes/priority/ui/panel/IOS/PanelFollowList4Cust.unity3d,77ebadbe205a7ee7647eeed1b90c083a
+trCRM/upgradeRes/other/uiAtlas/mine/IOS/me_customer.unity3d,eba6ba58a8149e369e8e02b8cac777c8
 trCRM/upgradeRes/other/uiAtlas/order/IOS/gongsi.unity3d,df109852065a5405f0ae246ab838c111
 trCRM/upgradeRes/priority/lua/ui/panel/CLLPBackplate.lua,ae946f1cec5baad680f4e8a0f7e71223
-trCRM/upgradeRes/other/uiAtlas/cust/IOS/order.unity3d,e30128770395be6e2634c10acdedb730
+trCRM/upgradeRes/priority/ui/panel/IOS/PanelOrderList.unity3d,b6ad0bb8c86aff4c0ff48fffa58d153e
 trCRM/upgradeRes/priority/ui/panel/IOS/PanelWWWProgress.unity3d,86786bd679b1592402f9cd98ba1bc0cf
 trCRM/upgradeRes/other/uiAtlas/public/IOS/choose.unity3d,ebc64a7c7ed8354e57deb1938557c9d8
 trCRM/upgradeRes/other/uiAtlas/cust/IOS/star.unity3d,3bcf43f59ae8c6b2920fbdfd3a5a3252
@@ -376,17 +375,18 @@ trCRM/upgradeRes/other/uiAtlas/work/IOS/yuyue.unity3d,266cd2ffefcb8ded9f59a00a66
 trCRM/upgradeRes/other/uiAtlas/main/IOS/icon_me.unity3d,546388655250fedaa50785dd824d30ac
 trCRM/upgradeRes/priority/ui/other/IOS/InputText.unity3d,7c01d60cd621ffbc1091a929b34969da
 trCRM/upgradeRes/priority/lua/ui/panel/TRPOrderList.lua,dad09d99c3d896f7c1ce1c1c854073ea
-trCRM/upgradeRes/other/uiAtlas/cust/IOS/funnel.unity3d,9eabb57135190dc338da14a450b63e72
-trCRM/upgradeRes/other/uiAtlas/work/IOS/wenjian-icon.unity3d,2e900aec0e6716f6d6575ddbb184b8dd
-trCRM/upgradeRes/other/uiAtlas/cust/IOS/border.unity3d,29a0e90c8c75eaac236a3bf65ee28fd3
+trCRM/upgradeRes/priority/lua/ui/cell/TRCellComFilter.lua,2fb22f9248e4af86ab42482151a5b141
+trCRM/upgradeRes/other/uiAtlas/work/IOS/icon_bg.unity3d,8f588f9da85d79f734701f7bde8d35da
+trCRM/upgradeRes/priority/lua/ui/panel/TRPEditPrice.lua,ceb906ae12222324b9a61f4b83ec7e58
 trCRM/upgradeRes/priority/ui/panel/IOS/PanelSendSms.unity3d,96831d33462b61947317124726271c20
-trCRM/upgradeRes/other/uiAtlas/public/IOS/tips_3.unity3d,d095dbcdbab9d44c6aa63fa92e5f984b
+trCRM/upgradeRes/other/uiAtlas/public/IOS/button.unity3d,4a1c28e520ccb1f66e038bfe4e8057ab
 trCRM/upgradeRes/other/uiAtlas/public/IOS/on_off_bg.unity3d,7a6e9b072b57dc847ede7eb1c679ee62
 trCRM/upgradeRes/priority/ui/panel/IOS/PanelFollowList.unity3d,be6ed96ba7d2b4aeb775c9f9a312817e
-trCRM/upgradeRes/priority/lua/toolkit/curve.lua,f97735ed6c39accb55cdae44b62b5b38
-trCRM/upgradeRes/priority/lua/ui/panel/TRPFollowFilter.lua,f436c880f71e048db7b82de41e881b8f
 trCRM/upgradeRes/priority/lua/ui/panel/TRPAbout.lua,1045994ded084ebe67d8083f3ee92ffd
-trCRM/upgradeRes/priority/ui/panel/IOS/PanelPlaySoundRecord.unity3d,28f5d62617775ef5e6f65eaa2b503925
+trCRM/upgradeRes/other/uiAtlas/order/IOS/icon_3.unity3d,4ba8140bcf5996c22461673f7bb40b8b
+trCRM/upgradeRes/priority/lua/ui/panel/CLLPSendSms.lua,21ca579fc9f873db363be7a45cfc115f
+trCRM/upgradeRes/other/uiAtlas/cust/IOS/more.unity3d,7d7a478fdc0c1cc0506c6fd92d230b3f
+trCRM/upgradeRes/other/uiAtlas/cust/IOS/oean.unity3d,2220377e30d7a40b551ff00531cde4b0
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellGuidPage.lua,7b3c3f567c3e0d92065913101b08ddd0
-trCRM/upgradeRes/priority/lua/ui/cell/TRCellCompany.lua,2cacaeb6845d8d0a0b16d726048a0216
+trCRM/upgradeRes/priority/lua/ui/cell/CLLUICellPoplist.lua,18d47301d459fd66ed63b902546e8619
 trCRM/upgradeRes/priority/lua/ui/cell/TRCellImage.lua,d7e729ad29ea6cabddfcca355458d9dd
diff --git a/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v b/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
index ce405de..4021754 100644
--- a/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
+++ b/Assets/CoolapeFrameData/verControl/IOS/ver4UpgradeMd5.v
@@ -1,7 +1,7 @@
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelSysMsgList.unity3d,a6076f01efad9922e640417890fe0d3c
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendField.lua,ad36b1df99250176f457b3cf9be575f5
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewCust.unity3d,221382abc91df5b01826c9492cba51d8
-trCRM/upgradeRes4Publish/priority/lua/public/CLLIncludeBase.lua,4820cbe7f1f16ec63ed1dd8426533483
+trCRM/upgradeRes4Publish/priority/lua/public/CLLIncludeBase.lua,e003af48472fedc090ada0477edf5240
 trCRM/upgradeRes4Publish/other/uiAtlas/call/IOS/icon_call.unity3d,2916d1c164dbcc0a26d7214f39ba9f2b
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CSPMain.lua,0fec8598fddcc7b54f4794f16eaa59d8
 trCRM/upgradeRes4Publish/priority/lua/json/json.lua,a2914572290611d3da35f4a7eec92022
@@ -162,9 +162,9 @@ trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/ipt.unity3d,28f98d5b45b9bc1f5b9
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellFollowList.lua,e5cc27c8def2b9a255e47f3b707d8426
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMain.unity3d,377a830527364388350bf0cb99031caf
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelResetPasswordStep3.unity3d,90d401a06b9b8c1957751551cad64c5e
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewFollowSimple.lua,35ac4acdd74e7c09950bbb26fed5d010
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPNewFollowSimple.lua,c548932040c1620ede94e71a2bb0c8cc
 trCRM/upgradeRes4Publish/priority/lua/public/CLLQueue.lua,065303c980678b25b11854bfec1690f3
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMakeCall.lua,a87ae39a896eade1c26d1eb042df1f8f
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPMakeCall.lua,f8fd8e2319261f0952a9438a81c2915a
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/icon_4.unity3d,94247576706e0249aa253b643953946b
 trCRM/upgradeRes4Publish/other/uiAtlas/call/IOS/call_05.unity3d,4357a808a7d8b7fb5a94439f88055780
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPopTime.unity3d,5553153d40049512c43288414591218f
@@ -221,7 +221,7 @@ trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustStar.lua,ed39330cf68d1e1
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelTaskList.unity3d,ae74577603f5f00454299a8041cf2ddf
 trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/news_2.unity3d,5b2f3543562cb611fd5b986f93b9d450
 trCRM/upgradeRes4Publish/other/uiAtlas/main/IOS/icon_news2.unity3d,534faecceb533b756cb7df4aa8f13d05
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPSplash.lua,227b332c978544f8f81aa593d6e9722f
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPSplash.lua,52715f02cef3fe91925d033d1e6dfcdd
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/icon_2.unity3d,c0b47ec98dbd6369d2b7f6fbc9988d0f
 trCRM/upgradeRes4Publish/other/uiAtlas/main/IOS/icon_work2.unity3d,8579e52d8aa949abce514ec4682d95e5
 trCRM/upgradeRes4Publish/priority/www/baidumap.html,d210e48796dd96343f9c17bc1d230136
@@ -234,7 +234,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/news_3.unity3d,267178166037b1985
 trCRM/upgradeRes4Publish/other/uiAtlas/mine/IOS/img_authenticated.unity3d,c43550e5cee1e9d89529fb6edcbdce66
 trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/on_off.unity3d,1bd2636935bdcbcf3d55a69f873c44ad
 trCRM/upgradeRes4Publish/other/uiAtlas/news/IOS/new2_notice.unity3d,6ebfcad9d2385d00b275e41b69bf5633
-trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,8a16c00d7efc2d683eba7b0594465e0f
+trCRM/upgradeRes4Publish/priority/lua/toolkit/MyUtl.lua,456a710e2c874437038aa83ec308057f
 trCRM/upgradeRes4Publish/other/uiAtlas/main/IOS/icon_tel2.unity3d,8f944153cde1b830f0039a14843965a5
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/suc.unity3d,750f9f149f273d3f2643b3ff634705e4
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelPopList2.unity3d,be8524973d0b7f69fb8bb65f02dcfd24
@@ -274,7 +274,7 @@ trCRM/upgradeRes4Publish/priority/lua/net/CLLNet.lua,947abdf2c019f44a26211acf6f3
 trCRM/upgradeRes4Publish/priority/lua/CLLMainLua.lua,f39b8b592de145c5f8331b30d0ba4d9d
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellExtendFieldRoot.lua,a86cba948b19853abefb86c46bfa7256
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustFilter.lua,450e7e75ebfe83bb65d59beb3ce60782
-trCRM/upgradeRes4Publish/priority/lua/public/CLLInclude.lua,2afb78b285a8cf6bbbef9f4612effc3d
+trCRM/upgradeRes4Publish/priority/lua/public/CLLInclude.lua,d84df4859500a5745e7bdb118e5e2443
 trCRM/upgradeRes4Publish/priority/lua/toolkit/KKLogListener.lua,85784ec79aefde29be3ef308e7b5203b
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLFrame2.lua,e25ce84ca55cd643d527d09cedd6228a
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/wenjian-icon.unity3d,2e900aec0e6716f6d6575ddbb184b8dd
@@ -330,8 +330,8 @@ trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/gou.unity3d,4fffba88bd3c234a135
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelNewFollowSimple.unity3d,ebb0f59d2e2f6422734b5588e9e0df08
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/check.unity3d,8617a2ac9187216cfb81f8b712181055
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/xiaji.unity3d,8d7659abab3ff2e6ab61091d881943c2
-trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMakeCall.unity3d,d86447629c666024e2c5414aac530aa0
-trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,4a6656d10b5b41fe4ff21ffc473cd833
+trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelMakeCall.unity3d,f9f2a5ea995c2405b0004599da2e8e56
+trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPCustDetail.lua,153a8fc20f3e2143fc487bd943213b73
 trCRM/upgradeRes4Publish/other/uiAtlas/order/IOS/icon_1.unity3d,e0bb2894cfbec37f0512353e65845fa7
 trCRM/upgradeRes4Publish/priority/ui/panel/IOS/PanelModifyFiled.unity3d,687e89480fdd9d074d1ae636b070951d
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/CLLPWebView.lua,29c95ef46d9adeb7d310ac073ca4ef26
@@ -357,7 +357,7 @@ trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/full_star.unity3d,1e26fbb1830f8f
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPBatchGetCusts.lua,824f77c2486687108fa391a8fb08a405
 trCRM/upgradeRes4Publish/priority/lua/ui/cell/CLLUICalenderDay.lua,6e7400e2dd535ced93960c1e18fa2458
 trCRM/upgradeRes4Publish/other/uiAtlas/public/IOS/company_bg.unity3d,6d7720ce23e31c17a508386fe837ab12
-trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,4621e1261426a172e72820f105c43122
+trCRM/upgradeRes4Publish/priority/lua/ui/cell/TRCellCustList.lua,3c927618bc036253a99d5932fe22ed08
 trCRM/upgradeRes4Publish/priority/lua/ui/panel/TRPPopCheckBoxs.lua,508171a924c113573b01a396e8217cc2
 trCRM/upgradeRes4Publish/other/uiAtlas/cust/IOS/msg.unity3d,62a51311105a27bfca2fc2ac35c9aab8
 trCRM/upgradeRes4Publish/other/uiAtlas/work/IOS/work_head_bg.unity3d,4621f18a14df4d78d9f8475b6b561467
diff --git a/Assets/trCRM/Scripts/call/CallListner.cs b/Assets/trCRM/Scripts/call/CallListner.cs
index b4a27e3..9850538 100644
--- a/Assets/trCRM/Scripts/call/CallListner.cs
+++ b/Assets/trCRM/Scripts/call/CallListner.cs
@@ -35,6 +35,10 @@ public class CallListner : CLBehaviour4Lua
     public void init()
     {
         setLua();
+#if UNITY_EDITOR
+        return;
+#endif
+
 #if UNITY_ANDROID
         plugin.Call("init", gameObject.name);
 #elif UNITY_IOS
diff --git a/Assets/trCRM/Scripts/call/CallLogUtl.cs b/Assets/trCRM/Scripts/call/CallLogUtl.cs
index 97eb782..4259a98 100644
--- a/Assets/trCRM/Scripts/call/CallLogUtl.cs
+++ b/Assets/trCRM/Scripts/call/CallLogUtl.cs
@@ -24,7 +24,7 @@ public static class CallLogUtl
 #if UNITY_ANDROID
         return plugin.CallStatic<string>("getCallLog");
 #elif UNITY_IOS
-
+        return "";
 #else
         return "";
 #endif
diff --git a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
index 2bd03df..f9c966d 100644
--- a/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
+++ b/Assets/trCRM/upgradeRes4Ver/trCRM/resVer/IOS/VerCtl.ver
@@ -1 +1 @@
-r8	$trCRM/resVer/IOS/VerCtl/priority.ver8,239ad8ca9088eb93580025838168dcd18	!trCRM/resVer/IOS/VerCtl/other.ver8,e1ba4f801e757dd7ee600a7b4ccffc0b
\ No newline at end of file
+r8	$trCRM/resVer/IOS/VerCtl/priority.ver8,ee2a3067578e0a8bf222bc3efe5f54758	!trCRM/resVer/IOS/VerCtl/other.ver8,e1ba4f801e757dd7ee600a7b4ccffc0b
\ No newline at end of file
